# eric6.E5Gui.E5ComboBox

Module implementing combobox classes using the eric6 line edits.

### Global Attributes

None

### Classes

E5ClearableComboBox | Class implementing a combobox using the eric6 line edit.
E5ComboBox | Class implementing a combobox using the eric6 line edit.

### Functions

None

## E5ClearableComboBox

Class implementing a combobox using the eric6 line edit.

### Derived from

E5ComboBox

### Class Attributes

None

### Class Methods

None

### Methods

E5ClearableComboBox | Constructor

### Static Methods

None

#### E5ClearableComboBox (Constructor)

E5ClearableComboBox(parent=None, inactiveText="")

Constructor

parent
  reference to the parent widget (QWidget)
inactiveText
  text to be shown on inactivity (string)

Up

## E5ComboBox

Class implementing a combobox using the eric6 line edit.

### Derived from

QComboBox

### Class Attributes

None

### Class Methods

None

### Methods

E5ComboBox | Constructor
inactiveText | Public method to get the inactive text.
setInactiveText | Public method to set the inactive text.

### Static Methods

None

#### E5ComboBox (Constructor)

E5ComboBox(parent=None, inactiveText="")

Constructor

parent
  reference to the parent widget (QWidget)
inactiveText
  text to be shown on inactivity (string)

#### E5ComboBox.inactiveText

inactiveText()

Public method to get the inactive text.

Returns:
  inactive text (string)

#### E5ComboBox.setInactiveText

setInactiveText(inactiveText)

Public method to set the inactive text.

inactiveText
  text to be shown on inactivity (string)

Up